Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	A text document format for writing short documents, articles, books and UNIX man pages
Name:		asciidoc
Version:	8.2.7
Release:	1
License:	GNU/GPL 
URL:		http://www.methods.co.nz/asciidoc
Group:		Development/Tools
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	python
Requires:	python
BuildArch:	noarch

%description
AsciiDoc is a text document format for writing short documents, articles, books and UNIX man pages. AsciiDoc files can be translated to HTML and DocBook markups using the asciidoc(1) command.
AsciiDoc is highly configurable: both the AsciiDoc source file syntax and the backend output markups (which can be almost any type of SGML/XML markup) can be customized and extended by the user.

%prep
%setup -n %{name}-%{version}

%pre
if [ -d "%_sysconfdir/asciidoc" ]; then
        echo "Cleaning old symlinks under %_sysconfdir/asciidoc"
        for entry in $(find %_sysconfdir/asciidoc -type l)
	do
		rm -f $entry
	done
fi

%install
%{__rm} -rf %{buildroot}
%{__install} -d -m0755 %{buildroot}%{_sysconfdir}/asciidoc/{docbook-xsl,filters,images/icons,javascripts,stylesheets}/
%{__install} -p -m0644 *.conf %{buildroot}%{_sysconfdir}/asciidoc/
%{__install} -p -m0644 filters/*.conf %{buildroot}%{_sysconfdir}/asciidoc/filters/
%{__install} -p -m0755 filters/*.py %{buildroot}%{_sysconfdir}/asciidoc/filters/
%{__install} -p -m0644 docbook-xsl/*.xsl %{buildroot}%{_sysconfdir}/asciidoc/docbook-xsl/
%{__install} -p -m0644 stylesheets/*.css %{buildroot}%{_sysconfdir}/asciidoc/stylesheets/
%{__install} -p -m0644 javascripts/*.js %{buildroot}%{_sysconfdir}/asciidoc/javascripts/
%{__cp} -pR images/ %{buildroot}%{_sysconfdir}/asciidoc/

%{__install} -Dp -m0755 asciidoc.py %{buildroot}%{_bindir}/asciidoc
%{__install} -Dp -m0755 a2x %{buildroot}%{_bindir}/a2x
%{__install} -Dp -m0644 doc/asciidoc.1 %{buildroot}%{_mandir}/man1/asciidoc.1
%{__install} -Dp -m0644 doc/a2x.1 %{buildroot}%{_mandir}/man1/a2x.1

%{__install} -d -m0755 %{buildroot}%{_datadir}/asciidoc/
%{__cp} -pR javascripts/ images/ stylesheets/ %{buildroot}%{_datadir}/asciidoc/

### Fix symlinks in examples/
%{__install} -d -m0755 symlinks/
%{__ln_s} -f %{_sysconfdir}/asciidoc/filters/ symlinks/filters
%{__ln_s} -f %{_sysconfdir}/asciidoc/images/ symlinks/images
%{__ln_s} -f %{_sysconfdir}/asciidoc/javascripts/ symlinks/javascripts
%{__ln_s} -f %{_sysconfdir}/asciidoc/stylesheets/ symlinks/stylesheets

find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_mandir
%_sysconfdir/%{name}
%_bindir/%{name}
%_bindir/a2x
%_datadir/asciidoc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Sep 14 2008 Christian Metzen <metzench@ccux-linux.de> 8.2.7-1
- Version update
* Thu Mar 06 2008 Christian Wasem <wasem@ccux-linux.de> 8.2.5-1
- Version update, group correction to Development/Tools,
- added BuildArch noarch (no compiling needed for this package)
* Sun Oct 14 2007 Karsten Brockmann <arcam@ccux-linux.de> 8.2.3-1
- Version update
* Mon Nov 13 2006 Simon Schmeier <wrt@ccux-linux.de> 8.1.0-2
- fixed description tag
* Sun Nov 12 2006 Stefan Gottwald <gotti@ccux-linux.de> 8.1.0-1
- Initial Release
